# TBasicPreviewThread Class Reference
[Base Classes for plugins]

Inheritance diagram for TBasicPreviewThread:

List of all members.

## Public Member Functions
MCCOMErr MCCOMAPI | QueryInterface (const MCIID &riid, void **ppvObj)
uint32 MCCOMAPI | AddRef ()
uint32 MCCOMAPI | Release ()
virtual MCCOMErr MCCOMAPI | Work ()
void | Init (I3DShCamera *camera)
void | Launch ()
void | SoftKill ()
void | KillNow ()
## Static Public Member Functions
static void | Create (TBasicPreviewThread **outThread, TBasicPreviewPart *part)
## Protected Member Functions
| TBasicPreviewThread (TBasicPreviewPart *part)
virtual | ~TBasicPreviewThread ()
void | AbortRendering ()
boolean | GetRenderingStarted ()
## Private Attributes
TMCPtr< TBasicPreviewPart > | fPreviewPart
TMCCountedPtr< IPreviewMaker > | fPreviewer
TMCPtr< TMCOffscreen > | fOffscreen
int32 | fThreadID
boolean | fRenderingStarted

## Constructor & Destructor Documentation

TBasicPreviewThread::TBasicPreviewThread | ( | TBasicPreviewPart * | part | ) | `[protected]`

virtual TBasicPreviewThread::~TBasicPreviewThread | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void TBasicPreviewThread::AbortRendering | ( |  | ) | `[inline, protected]`

uint32 MCCOMAPI TBasicPreviewThread::AddRef | ( |  | ) | `[inline, virtual]`

Increments the reference count of the object

Reimplemented from TMCCountedObject.

static void TBasicPreviewThread::Create | ( | TBasicPreviewThread ** | outThread,
|  | TBasicPreviewPart * | part |
| ) |  |  | `[inline, static]`

boolean TBasicPreviewThread::GetRenderingStarted | ( |  | ) | `[inline, protected]`

void TBasicPreviewThread::Init | ( | I3DShCamera * | camera | ) |

void TBasicPreviewThread::KillNow | ( |  | ) |

void TBasicPreviewThread::Launch | ( |  | ) |

MCCOMErr MCCOMAPI TBasicPreviewThread::QueryInterface | ( | const MCIID & | riid,
|  | void ** | ppvObj |
| ) |  |  | `[virtual]`

Check if the object supports a given interface and returns a pointer to that interface if it does. Note that QueryInterface will increment the reference count of the object by one if the interface is found.

Parameters:

  | riid | GUID of the interface
  | ppvObj | A pointer to the pointer being returned.

Reimplemented from TMCCountedObject.

uint32 MCCOMAPI TBasicPreviewThread::Release | ( |  | ) | `[inline, virtual]`

Decrements the reference count of the object. If the reference count reaches zero, the object is destroyed.

Reimplemented from TMCCountedObject.

void TBasicPreviewThread::SoftKill | ( |  | ) |

virtual MCCOMErr MCCOMAPI TBasicPreviewThread::Work | ( |  | ) | `[virtual]`

Implements IExThread.

## Member Data Documentation

TMCPtr<TMCOffscreen> TBasicPreviewThread::fOffscreen`[private]`

TMCCountedPtr<IPreviewMaker> TBasicPreviewThread::fPreviewer`[private]`

TMCPtr<TBasicPreviewPart> TBasicPreviewThread::fPreviewPart`[private]`

boolean TBasicPreviewThread::fRenderingStarted`[private]`

int32 TBasicPreviewThread::fThreadID`[private]`

The documentation for this class was generated from the following file:

- Basic3DEditorHost.h